ParameterMapToBook (Mule ESB 2.2.1 API)
Keywords: org.mule.example.bookstore.transformers.ParameterMapToBook class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.bookstore.transformers
Class ParameterMapToBook

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.example.bookstore.transformers.ParameterMapToBook

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, Transformer

    public class ParameterMapToBook

extends AbstractTransformer

Transforms a Map of HttpRequest parameters into a Book object. The request parameters are always strings (they come from the HTML form), so we need to parse and convert them to their appropriate types.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`ParameterMapToBook()`

Method Summary
`protected Object` | `doTransform(Object src, String encoding)`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterMapToBook

    public ParameterMapToBook()

Method Detail

### doTransform

    protected Object doTransform(Object src,
                                 String encoding)
                          throws TransformerException

  Specified by:
    `doTransform` in class `AbstractTransformer`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.